Bug 180341 - missing buildrequires libX11-devel xorg-x11-proto-devel
missing buildrequires libX11-devel xorg-x11-proto-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: agg (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-07 08:51 EST by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.3-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-08 03:08:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-02-07 08:51:13 EST
Description of problem:
missing buildrequires

Version-Release number of selected component (if applicable):
agg-2.3-1

How reproducible:
always

Steps to Reproduce:
1. try to build agg with mock
2.
3.
  
Actual results:
Making all in X11
make[3]: Entering directory `/builddir/build/BUILD/agg23/src/platform/X11'
/bin/sh ../../../libtool --tag=CXX --mode=compile g++ -DPACKAGE_NAME=\"\"
-DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\"
-DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"agg\" -DVERSION=\"2.0.0\" -DPROTOTYPES=1
-D__PROTOTYPES=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1
-DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1
-DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STRING_H=1
-DHAVE_DLFCN_H=1  -I. -I. -I../../../include -I/usr/X11R6/include/    -O2 -g
-pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -c -o agg_platform_support.lo
agg_platform_support.cpp
mkdir .libs
 g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"agg\"
-DVERSION=\"2.0.0\" -DPROTOTYPES=1 -D__PROTOTYPES=1 -DSTDC_HEADERS=1
-DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1
-DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1
-DHAVE_UNISTD_H=1 -DHAVE_STRING_H=1 -DHAVE_DLFCN_H=1 -I. -I. -I../../../include
-I/usr/X11R6/include/ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -c
agg_platform_support.cpp  -fPIC -DPIC -o .libs/agg_platform_support.o
agg_platform_support.cpp:25:22: error: X11/Xlib.h: No such file or directory
agg_platform_support.cpp:26:23: error: X11/Xutil.h: No such file or directory
agg_platform_support.cpp:27:23: error: X11/Xatom.h: No such file or directory
agg_platform_support.cpp:28:24: error: X11/keysym.h: No such file or directory
agg_platform_support.cpp:52: error: ISO C++ forbids declaration of 'Display'
with no type
agg_platform_support.cpp:52: error: expected ';' before '*' token
agg_platform_support.cpp:55: error: ISO C++ forbids declaration of 'Visual' with
no type
agg_platform_support.cpp:55: error: expected ';' before '*' token
agg_platform_support.cpp:56: error: 'Window' does not name a type
agg_platform_support.cpp:57: error: 'GC' does not name a type
agg_platform_support.cpp:58: error: ISO C++ forbids declaration of 'XImage' with
no type
agg_platform_support.cpp:58: error: expected ';' before '*' token
agg_platform_support.cpp:59: error: 'XSetWindowAttributes' does not name a type
agg_platform_support.cpp:60: error: 'Atom' does not name a type
agg_platform_support.cpp: In constructor
'agg::platform_specific::platform_specific(agg::pix_format_e, bool)':
agg_platform_support.cpp:78: error: 'LSBFirst' was not declared in this scope
agg_platform_support.cpp:82: error: class 'agg::platform_specific' does not have
any field named 'm_display'
agg_platform_support.cpp:85: error: class 'agg::platform_specific' does not have
any field named 'm_visual'
agg_platform_support.cpp:86: error: class 'agg::platform_specific' does not have
any field named 'm_window'
agg_platform_support.cpp:87: error: class 'agg::platform_specific' does not have
any field named 'm_gc'
agg_platform_support.cpp:88: error: class 'agg::platform_specific' does not have
any field named 'm_ximg_window'
agg_platform_support.cpp:89: error: class 'agg::platform_specific' does not have
any field named 'm_close_atom'
agg_platform_support.cpp:106: error: 'XK_Pause' was not declared in this scope
agg_platform_support.cpp:107: error: 'XK_Clear' was not declared in this scope
agg_platform_support.cpp:109: error: 'XK_KP_0' was not declared in this scope
agg_platform_support.cpp:110: error: 'XK_KP_1' was not declared in this scope
agg_platform_support.cpp:111: error: 'XK_KP_2' was not declared in this scope
....
error: Bad exit status from /var/tmp/rpm-tmp.83086 (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.83086 (%build)

Note You need to log in before you can comment on or make changes to this bug.